### Enumeration

# Cogl GraphicsResetStatus

#### Declaration

    enum Cogl.GraphicsResetStatus

#### Description [src]

All the error values that might be returned by cogl_context_get_graphics_reset_status(). Each value’s meaning corresponds to the similarly named value defined in the ARB_robustness and NV_robustness_video_memory_purge extensions.

#### Members

`COGL_GRAPHICS_RESET_STATUS_NO_ERROR`

  No description available.

  - Value: `0`
  - Available since: 16
`COGL_GRAPHICS_RESET_STATUS_GUILTY_CONTEXT_RESET`

  No description available.

  - Value: `1`
  - Available since: 16
`COGL_GRAPHICS_RESET_STATUS_INNOCENT_CONTEXT_RESET`

  No description available.

  - Value: `2`
  - Available since: 16
`COGL_GRAPHICS_RESET_STATUS_UNKNOWN_CONTEXT_RESET`

  No description available.

  - Value: `3`
  - Available since: 16
`COGL_GRAPHICS_RESET_STATUS_PURGED_CONTEXT_RESET`

  No description available.

  - Value: `4`
  - Available since: 16